Bug 106912 - FILESAVE sometimes fails to save as CSV, sometimes manual save silently fails, data is lost
Summary: FILESAVE sometimes fails to save as CSV, sometimes manual save silently fails...
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.1.6.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: CSV-Export
  Show dependency treegraph
 
Reported: 2017-04-01 23:03 UTC by alex
Modified: 2018-03-02 10:05 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description alex 2017-04-01 23:03:05 UTC
Description:
I'm using LibreOffice 5.1.6.2 on Ubuntu 16.04. After working on a spreadsheet over the past few days (keeping LibreOffice open the whole time), this afternoon LibreOffice started complaining about being unable to save as CSV or XLSX. The error message I got is "Error saving the document $filename: General Error. General input/output error"

I got a little sketched out and decided to just save the doc and restart the application. I chose Save from the File menu, and did not get an error message. I closed LibreOffice, and did not get an error message. I then re-open my document, only to see that none of the edits that I've made in the last few hours are in the doc. 

So much data entry lost! I'm so sad!

This is a very simple sheet with only 99 rows and 30 columns that I'm doing by-hand data entry into. No calculations or formulae.

Steps to Reproduce:
1. Work on doc for a while.
2. Save the doc as CSV.
3. Save the doc.
4. Quit and restart.

Actual Results:  
"Save as.." sometimes fails with error message.
Save silently fails.
App happily and silently quits without having saved edits.

Expected Results:
I'm upset but understand failing to "Save as..." with an error message. I know there's something I need to do to understand it. But silently failing to "Save" is unforgivable, as is allowing the user to quit without at least notifying me about losing uncommitted edits.


Reproducible: Sometimes

User Profile Reset: No

Additional Info:
[Information automatically included from LibreOffice]
Locale: en-US
Module: SpreadsheetDocument
[Information guessed from browser]
OS: Linux (All)
OS is 64bit: yes
Builds ID: LibreOffice 5.1.6.2


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/57.0.2987.110 Safari/537.36
Comment 1 Xisco Faulí 2017-04-02 12:39:57 UTC Comment hidden (obsolete)
Comment 2 alex 2017-04-03 01:47:08 UTC
Hi Xisco,

Thanks for your message. I'm using the version of LibreOffice that comes with Ubuntu 16.04, I didn't realize it was an old version, but I see that 5.1 was indeed EOL'd as of six months ago.

I've stopped using Calc to work on this task, since my need to avoid data loss is more important to me than debugging this issue is. Sorry. :(

If this bug report is not helpful as it is, I will close it.

Thanks,
alex
Comment 3 Bartosz 2017-04-26 21:45:10 UTC
Hello Alex. 
Please attach the .doc document on which we could reproduce this issue.
Comment 4 QA Administrators 2018-01-29 10:27:03 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2018-03-02 10:05:14 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-20180302